# $Revision: 1.47 $, $Date: 2006/03/01 12:12:54 $
# Conditional build:
%bcond_without authlib	# disable courier-authlib
#
Summary:	maildrop - mail filter/mail delivery agent
Summary(pl):	maildrop - filtr pocztowy/dostarczyciel poczty
Name:		maildrop
Version:	2.0.2
Release:	2
License:	GPL
Group:		Applications/Mail
Source0:	http://dl.sourceforge.net/courier/%{name}-%{version}.tar.bz2
# Source0-md5:	69c7cb0c93669c0831eb3ee304da8eac
Patch0:		%{name}-db.patch
URL:		http://www.courier-mta.org/maildrop/
BuildRequires:	autoconf
BuildRequires:	automake
%{?with_authlib:BuildRequires:	courier-authlib-devel >= 0.58-4}
BuildRequires:	db-devel
BuildRequires:	fam-devel
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
BuildRequires:	pcre-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir		/etc/maildrop

%description
Maildrop is a combination of a mail filter/mail delivery agent.
Maildrop reads the message to be delivered to your mailbox, optionally
reads instructions from a file how to filter incoming mail, then based
on these instructions may deliver mail to an alternate mailbox, or
forward it, instead of dropping the message into your mailbox.

Maildrop uses a structured, real, meta-programming language in order
to define filtering instructions. Its basic features are fast and
efficient. At sites which carry a light load, the more advanced,
CPU-demanding, features can be used to build very sophisticated mail
filters. Maildrop deployments have been reported at sites that support
as many as 30,000 mailboxes.

This version is compiled with support for DB database files.

%description -l pl
Maildrop to poczenie filtra i dostarczyciela poczty. Czyta
wiadomo, ktra ma by dostarczona do skrzynki, opcjonalnie czyta
instrukcje z pliku jak filtrowa przychodzc poczt, na podstawie
tych instrukcji moe dostarcza poczt do innej skrzynki, lub
forwardowa zamiast wrzuca do podstawowej skrzynki.

Maildrop uywa strukturalnego, rzeczywistego meta-jzyka programowania
do definiowania instrukcji filtrowania. Podstawowe moliwoci s
szybkie i wydajne. Na serwerach z niewielkim obcieniem mona uywa
bardziej zaawansowanych, obciajcych procesor moliwoci do
stworzenia przemylanych filtrw pocztowych. Znane s przypadki
uywania Maildropa na serwerach z 30 000 kontami pocztowymi.

Ta wersja jest skompilowana z obsug plikw baz DB.

%package devel
Summary:	Development tools for handling E-mail messages
Summary(pl):	Narzdzia programisty do obsugi wiadomoci E-mail
Group:		Applications/Mail

%description devel
The maildrop-devel package contains the libraries and header files
that can be useful in developing software that works with or processes
E-mail messages.

Install the maildrop-devel package if you want to develop applications
which use or process E-mail messages.

%description devel -l pl
Ten pakiet zawiera biblioteki i pliki nagwkowe przydatne przy
tworzeniu oprogramowania pracujcego z lub przetwarzajcego wiadomoci
E-mail.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}

cd maildrop
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
cd ..

%configure \
	--with-db=db \
	--with-etcdir=%{_sysconfdir} \
	--with-devel \
	--enable-maildirquota \
	--enable-syslog=1 \
	--enable-trusted-users='root mail daemon postmaster exim qmaild mmdf' \
	--enable-restrict-trusted=0 \
	--enable-maildrop-gid=maildrop \
	--disable-userdb  \
	%{!?with_authlib:--disable-authlib} \
	--enable-sendmail=%{_sbindir}/sendmail

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sysconfdir}

%{__make} -j1 install \
	DESTDIR=$RPM_BUILD_ROOT \
	MAILDROPUID="" \
	MAILDROPGID=""

rm -rf html
mv $RPM_BUILD_ROOT%{_datadir}/maildrop/html .

# courier-imap-maildirmake
rm -f $RPM_BUILD_ROOT%{_bindir}/maildirmake
rm -f $RPM_BUILD_ROOT%{_mandir}/man1/maildirmake.1
rm -f $RPM_BUILD_ROOT%{_mandir}/man5/maildir*
# courier-imap-deliverquota
rm -f $RPM_BUILD_ROOT%{_bindir}/deliverquota
rm -f $RPM_BUILD_ROOT%{_mandir}/man8/deliverquota*

# small pld readme file
cat > README.pld <<'EOF'
To get "userdb" please install courier-authlib-userdb
To get "deliverquota" please install courier-imap-deliverquota
To get "maildirmake" please install courier-imap-maildirmake
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ "$1" = "1" ]; then
	echo
	echo Please read README.pld file
	echo
fi

%files
%defattr(644,root,root,755)
%doc maildir/README.maildirquota.txt AUTHORS README README.postfix
%doc NEWS UPGRADE ChangeLog maildroptips.txt INSTALL README.pld
%doc html/
%dir %{_sysconfdir}
%attr(6755,root,mail) %{_bindir}/maildrop
%attr(6755,root,mail) %{_bindir}/lockmail
%attr(755,root,root) %{_bindir}/reformail
%attr(755,root,root) %{_bindir}/makemime
%attr(755,root,root) %{_bindir}/reformime
%attr(755,root,root) %{_bindir}/mailbot
%dir %{_datadir}/maildrop
%{_mandir}/man[17]/*

%files devel
%defattr(644,root,root,755)
%{_includedir}/*
%{_libdir}/*
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: maildrop.spec,v $
Revision 1.47  2006/03/01 12:12:54  glen
- require courier-authlib with libs separated, rel 2

Revision 1.46  2006/02/24 12:03:07  glen
- 2.0.2

Revision 1.45  2006/01/04 17:23:03  glen
- works for me; rel 1

Revision 1.44  2006/01/03 00:21:07  glen
- updated to 2.0.1

Revision 1.43  2006/01/03 00:04:21  glen
- save changes

Revision 1.42  2005/11/18 00:42:14  glen
- cosmetics

Revision 1.41  2005/09/19 16:19:56  glen
- PLD binary is linked with courier-authlib, while mine isn't. add TODO

Revision 1.40  2005/07/07 21:28:41  andree
- updated to 1.8.1
- updated description

Revision 1.39  2005/04/09 22:45:56  andree
- added -db.patch (fixed db linking)
- rel. 1

Revision 1.38  2005/03/05 20:04:34  andree
- updated to 1.8.0
- use db instead of gdbm
- rel. 0.5 waiting for courier-*

Revision 1.37  2005/02/11 17:57:01  darekr
- removed gcc-c++ from BR

Revision 1.36  2004/11/05 14:27:41  andree
- removed conflicts with courier-imap
- add README.pld file with some tips
- rel. 2

Revision 1.35  2004/10/10 19:22:46  paladine
- added missing BR: libtool

Revision 1.34  2004/08/01 18:39:43  andree
- updated to 1.7.0; change URL
- use ac,am,configure

Revision 1.33  2004/04/18 10:31:19  andree
- refresh config.sub, rel++

Revision 1.32  2004/03/11 09:01:35  qboosh
- /usr/lib/sendmail is exactly /usr/lib/sendmail, no macros

Revision 1.31  2004/03/10 21:33:43  deejay1
- some cosmetics; STBR please - ticket #858

Revision 1.30  2004/03/10 13:11:46  qboosh
- removed outdated mail list information (BTS#858)

Revision 1.29  2003/11/03 22:48:32  andree
- updated to 1.6.3

Revision 1.28  2003/10/01 22:20:02  ankry
- cosmetics

Revision 1.27  2003/10/01 21:18:10  domelu
- updated to 1.6.2 by Andree <andree@luch.eu.org>

Revision 1.26  2003/09/19 20:05:35  misi3k
- updated to 1.6.1

Revision 1.25  2003/09/13 13:24:22  blues
- bz2 source and md5

Revision 1.24  2003/09/13 13:22:13  blues
- 1.6.0 by  Andree <andree@luch.eu.org> (with my fixes)

Revision 1.23  2003/05/28 12:59:39  malekith
- massive attack: source-md5

Revision 1.22  2003/05/25 05:50:23  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.21  2003/05/17 05:15:35  tjbynum
- Requires are not require.

Revision 1.20  2003/05/06 11:30:21  qboosh
- use http for sources from sourceforge

Revision 1.19  2002/11/27 22:06:21  juandon
- new %doc

Revision 1.18  2002/06/29 19:55:06  fvk
- updated to 1.4.0

Revision 1.17  2002/04/21 17:33:51  pioklo
- up to 1.3.8,STBR

Revision 1.16  2002/02/22 23:29:14  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.15  2002/02/18 00:24:38  kloczek
- adapterized.

Revision 1.14  2002/02/18 00:08:43  marcus
- new version, 1.3.7, stb

Revision 1.13  2002/01/18 02:13:47  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.12  2001/12/06 14:55:56  qboosh
- pl descriptions, standarized perms: s/6555,root,mail/6755,root,mail/

Revision 1.11  2001/11/27 23:29:36  filon
- updated to 1.3.6

Revision 1.10  2001/11/06 23:58:26  kloczek
- updated to 1.3.5,
- spec adapterized.

Revision 1.9  2001/11/06 17:31:56  bonkey
- release: 2
- removed obsoletes: qmail-maildirmake
- added requires: courier-imap-{maildirmake,deliverquota,userdb}
- removed common files with courier-imap-{maildirmake,deliverquota,userdb}
- %configure2_13 moved do %build section
- added 'exim' user to trusted users in %configure2_13

Revision 1.8  2001/10/03 02:31:31  marcus
- new version 1.3.4

Revision 1.7  2001/09/27 00:55:18  marcus
- s/%configure/%configure2_13/g

Revision 1.6  2000/12/19 19:10:14  marcus
- added Obsoletes: qmail-maildirmake to avoid conflict
- release 5

Revision 1.5  2000/12/18 23:10:41  marcus
- removed symlinks in man-pages (it don't work if man-pages are gzipped)
- release 4
  co z konfliktem plikow maildirmake i maildirmake.1.gz z plikami z qmaila ?

Revision 1.4  2000/12/16 03:13:46  kloczek
- changed patch to sendmail to /usr/lib/sendmail (to be FHS compliant),
- removed html %doc which is converted from included man pages,
- move man section 3 to devel,
- added gzipping %doc,
- correct attributrs on scripts,
- removed static subpackage becase package not provides shared librariesi
  (maybe after add building shared libraires thic can back).

Revision 1.3  2000/12/15 23:37:49  marcus
- moved man-pages from devel subpackage to main binary package
- release 3

Revision 1.2  2000/12/15 15:45:16  marcus
- partially rewrited in PLD style (kloczek: check me!)
- adapterized
- release 2
  Czy te 2 suidy co zostaly musza byc? Co z plikami konfiguracyjnymi?
